<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToCompanyWork](./bitburner.sleeve.settocompanywork.md)

## Sleeve.setToCompanyWork() method

Set a sleeve to work for a company.

**Signature:**

```typescript
setToCompanyWork(sleeveNumber: number, companyName: CompanyName | `${CompanyName}`): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to work for the company. |
|  companyName | [CompanyName](./bitburner.companyname.md) \| \`${[CompanyName](./bitburner.companyname.md)<!-- -->}\` | Name of the company to work for. |

**Returns:**

boolean

True if the sleeve started working for this company, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working for a company.

